Bug 20900 - Yet another test assumes that CPL is present
Summary: Yet another test assumes that CPL is present
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 20902 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-06-08 08:55 UTC by Marcel de Rooy
Modified: 2018-07-30 13:49 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20900: Add CPL test branch in rollingloans.t (1.68 KB, patch)
2018-06-08 08:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20900: Add CPL branch in t_Batch.t too (1.36 KB, patch)
2018-07-02 08:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20900: Add CPL test branch in rollingloans.t (1.70 KB, patch)
2018-07-07 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20900: Add CPL branch in t_Batch.t too (1.38 KB, patch)
2018-07-07 12:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-06-08 08:55:38 UTC
t/db_dependent/rollingloans.t

DBD::mysql::st execute failed: Cannot add or update a child row: a foreign key constraint fails (`koha_dev`.`items`, CONSTRAINT `items_ibfk_3` FOREIGN KEY (`holdingbranch`) REFERENCES `branches` (`branchcode`) ON UPDATE CASCADE) [for Statement "UPDATE items SET itemlost_on=?,itemlost=?,onloan=?,datelastborrowed=?,holdingbranch=?,issues=? WHERE itemnumber=?" with ParamValues: 0=undef, 1=0, 2='2011-05-30', 3='2018-06-08', 4="CPL", 5='31254', 6='862'] at /usr/share/koha/devclone/C4/Items.pm line 2038.
Comment 1 Marcel de Rooy 2018-06-08 08:58:38 UTC
Created attachment 75914 [details] [review]
Bug 20900: Add CPL test branch in rollingloans.t

Trivial fix.

Test plan:
Without this patch and a CPL library, run rollingsloans.t. See warns.
With this patch, no warns.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2018-06-08 08:59:34 UTC
For the fast QA lane, Joubu ?
Comes from testing 20271 btw.
Comment 3 Jonathan Druart 2018-06-08 14:13:18 UTC
It seems that t/db_dependent/Labels/t_Batch.t is failing as well
Comment 4 Marcel de Rooy 2018-07-02 08:44:02 UTC
Created attachment 76610 [details] [review]
Bug 20900: Add CPL branch in t_Batch.t too

Same fix as previous patch.

Test plan:
Run t/db_dependent/Labels/t_Batch.t (without CPL branch)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2018-07-02 08:44:55 UTC
Hmm. Fast?
Comment 6 Marcel de Rooy 2018-07-02 10:25:07 UTC
*** Bug 20902 has been marked as a duplicate of this bug. ***
Comment 7 Katrin Fischer 2018-07-07 12:08:58 UTC
Created attachment 76752 [details] [review]
Bug 20900: Add CPL test branch in rollingloans.t

Trivial fix.

Test plan:
Without this patch and a CPL library, run rollingsloans.t. See warns.
With this patch, no warns.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-07-07 12:09:02 UTC
Created attachment 76753 [details] [review]
Bug 20900: Add CPL branch in t_Batch.t too

Same fix as previous patch.

Test plan:
Run t/db_dependent/Labels/t_Batch.t (without CPL branch)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Nick Clemens 2018-07-13 13:49:20 UTC
Awesome work all!

Pushed to master for 18.11
Comment 10 Martin Renvoize 2018-07-15 19:26:36 UTC
Pushed to 18.05.x for 18.05.02
Comment 11 Fridolin SOMERS 2018-07-30 13:49:29 UTC
Pushed to 17.11.x for 17.11.09